using System;
using System.Collections.Generic;
using System.Collections;
using System.IO;
using UnityEngine;
using UnityEngine.UI;
using System.Linq;
using TMPro;
using UnityEngine.Events;

namespace GotMod
{
    public class GotMod
    {
        public static void Main()
        {


            CategoryBuilder.Create("Game of Thrones Mod", "",ModAPI.LoadSprite("logo.png"));
       
//Nedd Stark
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Nedd Stark ",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/1t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/1.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                //Robb Stark
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Robb Stark ",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/2t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/2.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default

                         foreach (var limb in person.Limbs)
                        {
                             var HumanSprites = limb.gameObject.GetOrAddComponent<RandomHumanTextureBehaviour>();
                            HumanSprites.person = person;
                            HumanSprites.Textures.Add(ModAPI.LoadTexture("North/2.png")); 
                            HumanSprites.Textures.Add(ModAPI.LoadTexture("North/2alt.png"));
                        }
                    }
                }

            );

            //Catelyn
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Catelyn Stark ",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/3t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/3.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );
                        //Sansa Stark Older
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Sansa Stark Older ",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/4t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/4.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

                                    //Brann Stark
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Brann Stark ",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/5t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/5.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

                            //Jon Snow
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Jon Snow ",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/6t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/6.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default

                         foreach (var limb in person.Limbs)
                        {
                             var HumanSprites = limb.gameObject.GetOrAddComponent<RandomHumanTextureBehaviour>();
                            HumanSprites.person = person;
                            HumanSprites.Textures.Add(ModAPI.LoadTexture("North/6.png")); 
                            HumanSprites.Textures.Add(ModAPI.LoadTexture("North/6alt.png"));



                        
                        }
                    }
                }



            );

                                                //Arya Stark
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Arya Stark ",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/7t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/7.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

                                                            //Stark Infantry
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Stark Infantry ",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/8t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/8.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                                                                        //Roose Bolton
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Roose Bolton ",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/9t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/9.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                                                                                    //Ramsey Bolton
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Ramsey Bolton ",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/10t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/10.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );
                                //Bolton Infantry
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bolton Infantry",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/11t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/11.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                                            //Rickard Karstark
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Rickard Karstark",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/12t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/12.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                                            //Torrhen Karstark
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Torrhen Karstark",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/13t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/13.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );
                                                        //Starkstark Infanftry
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Starkstark Infantry",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/14t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/14.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                                                                    //John Umber
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "John Umber",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/15t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/15.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                                                                                //Small John Umber
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Small John Umber",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/16t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/16.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                                                                                            //Umber Infantry
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Umber Infantry",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/17t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/17.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                                                                                                        //Wyman Manderly
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Wyman Manderly",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/18t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/18.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

                                                                                                                    //Manderly Infantry
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Manderly Infantry",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/19t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/19.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Robbet Glover",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/20t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/20.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/imp1.wav"),
                                                          ModAPI.LoadSound("sounds/imp2.wav"),
                                                          ModAPI.LoadSound("sounds/imp3.wav"),
                                                          ModAPI.LoadSound("sounds/imp4.wav"), 
                                                          ModAPI.LoadSound("sounds/imp5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                                                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Glover Infantry",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/21t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/21.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/imp1.wav"),
                                                          ModAPI.LoadSound("sounds/imp2.wav"),
                                                          ModAPI.LoadSound("sounds/imp3.wav"),
                                                          ModAPI.LoadSound("sounds/imp4.wav"), 
                                                          ModAPI.LoadSound("sounds/imp5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

             ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Lord Daryn Hornwood",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/22t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/22.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/imp1.wav"),
                                                          ModAPI.LoadSound("sounds/imp2.wav"),
                                                          ModAPI.LoadSound("sounds/imp3.wav"),
                                                          ModAPI.LoadSound("sounds/imp4.wav"), 
                                                          ModAPI.LoadSound("sounds/imp5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Hornwood Infantry",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/23t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/23.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/imp1.wav"),
                                                          ModAPI.LoadSound("sounds/imp2.wav"),
                                                          ModAPI.LoadSound("sounds/imp3.wav"),
                                                          ModAPI.LoadSound("sounds/imp4.wav"), 
                                                          ModAPI.LoadSound("sounds/imp5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                                                 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Jeor Mormont",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/24t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/24.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                                                                                                  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mormont Infantry",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/25t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/25.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

     ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Ser Rodrick",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/26t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("North/26.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

                      ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                                       NameOverride = "Crown",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/0t.png"),
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("North/0.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviourTest>())
                            Instance.AddComponent<ArmorBehaviourTest>();

                        ArmorBehaviourTest armor = Instance.GetComponent<ArmorBehaviourTest>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.clone = true;
                        prop.sprite = "North/0.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviourTest[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );


                                          ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                                       NameOverride = "Stark Helmet",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/01t.png"),
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("North/01.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviourTest>())
                            Instance.AddComponent<ArmorBehaviourTest>();

                        ArmorBehaviourTest armor = Instance.GetComponent<ArmorBehaviourTest>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.clone = true;
                        prop.sprite = "North/01.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviourTest[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );


                                                                                  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                                       NameOverride = "Bolton Helmet",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("North/02t.png"),
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("North/02.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviourTest>())
                            Instance.AddComponent<ArmorBehaviourTest>();

                        ArmorBehaviourTest armor = Instance.GetComponent<ArmorBehaviourTest>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.clone = true;
                        prop.sprite = "North/02.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviourTest[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );



          ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Deanerys Targaryen",
                    NameToOrderByOverride = "B1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Essos/1t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Essos/1.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default

                              foreach (var limb in person.Limbs)
                        {
                             var HumanSprites = limb.gameObject.GetOrAddComponent<RandomHumanTextureBehaviour>();
                            HumanSprites.person = person;
                            HumanSprites.Textures.Add(ModAPI.LoadTexture("Essos/1.png")); 
                            HumanSprites.Textures.Add(ModAPI.LoadTexture("Essos/1alt.png"));
                        }
                    }
                }

             );

                  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "GreyWorm",
                    NameToOrderByOverride = "B1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Essos/2t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Essos/2.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

                                    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Unsullied",
                    NameToOrderByOverride = "B1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Essos/3t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Essos/3.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

                                    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Khal Drogo",
                    NameToOrderByOverride = "B1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Essos/4t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Essos/4.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );


                                    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Dothraki",
                    NameToOrderByOverride = "B1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Essos/5t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Essos/5.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/imp1.wav"),
                                                          ModAPI.LoadSound("sounds/imp2.wav"),
                                                          ModAPI.LoadSound("sounds/imp3.wav"),
                                                          ModAPI.LoadSound("sounds/imp4.wav"), 
                                                          ModAPI.LoadSound("sounds/imp5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                                                                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Daario Naharis",
                    NameToOrderByOverride = "B1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Essos/6t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Essos/6.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/imp1.wav"),
                                                          ModAPI.LoadSound("sounds/imp2.wav"),
                                                          ModAPI.LoadSound("sounds/imp3.wav"),
                                                          ModAPI.LoadSound("sounds/imp4.wav"), 
                                                          ModAPI.LoadSound("sounds/imp5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Second Sons Infantry",
                    NameToOrderByOverride = "B1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Essos/7t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Essos/7.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                                                  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Ser Barristan Selmy",
                    NameToOrderByOverride = "B1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Essos/8t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Essos/8.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

                   ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Jorah Monmont",
                    NameToOrderByOverride = "B1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Essos/9t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Essos/9.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );


                   ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Golden Company Infantry",
                    NameToOrderByOverride = "B1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Essos/10t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Essos/10.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                                      ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Blackfyre Infantry",
                    NameToOrderByOverride = "B1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Essos/11t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Essos/11.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Daemon Blackfyre",
                    NameToOrderByOverride = "B1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Essos/12t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Essos/12.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/imp1.wav"),
                                                          ModAPI.LoadSound("sounds/imp2.wav"),
                                                          ModAPI.LoadSound("sounds/imp3.wav"),
                                                          ModAPI.LoadSound("sounds/imp4.wav"), 
                                                          ModAPI.LoadSound("sounds/imp5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                     ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Young Griff",
                    NameToOrderByOverride = "B1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Essos/13t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Essos/13.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

                         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "John Connington",
                    NameToOrderByOverride = "B1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Essos/14t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Essos/14.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );


                    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                                       NameOverride = "Unsullied Helmet",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Essos/0t.png"),
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Essos/0.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviourTest>())
                            Instance.AddComponent<ArmorBehaviourTest>();

                        ArmorBehaviourTest armor = Instance.GetComponent<ArmorBehaviourTest>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.clone = true;
                        prop.sprite = "Essos/0.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviourTest[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

                          ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Varys",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kings/1t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Kings/1.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );
                                                    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Little Finger",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kings/2t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Kings/2.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

                                                                                                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Pycell",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kings/3t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Kings/3.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );


                 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Renly Baratheon Council",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kings/4t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Kings/4.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

                                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Old Robbert Baratheon",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kings/5t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Kings/5.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

                                                                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Jaime Lannister Kingsgaurd",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kings/6t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Kings/6.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default


                                                      foreach (var limb in person.Limbs)
                        {
                             var HumanSprites = limb.gameObject.GetOrAddComponent<RandomHumanTextureBehaviour>();
                            HumanSprites.person = person;
                            HumanSprites.Textures.Add(ModAPI.LoadTexture("Kings/6.png")); 
                            HumanSprites.Textures.Add(ModAPI.LoadTexture("Kings/6alt.png"));
                        }
                    }
                }

             );


                                                                                                                                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Ser Barristan Selmy Kingsgaurd",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kings/7t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Kings/7.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                        foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        }  
                    }
                }

             );

 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Kingsgaurd",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kings/8t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Kings/8.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/imp1.wav"),
                                                          ModAPI.LoadSound("sounds/imp2.wav"),
                                                          ModAPI.LoadSound("sounds/imp3.wav"),
                                                          ModAPI.LoadSound("sounds/imp4.wav"), 
                                                          ModAPI.LoadSound("sounds/imp5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 

                    }
                }

             );

  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Janos Slynt",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kings/9t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Kings/9.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );

    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "City Watch",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kings/10t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Kings/10.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );

 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Cersei Lannister",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kings/11t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Kings/11.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Joffery Baratheon",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kings/12t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Kings/12.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "Kingsgaurd Helmet",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kings/0t.png"),
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Kings/0.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviourTest>())
                            Instance.AddComponent<ArmorBehaviourTest>();

                        ArmorBehaviourTest armor = Instance.GetComponent<ArmorBehaviourTest>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.clone = true;
                        prop.sprite = "Kings/0.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviourTest[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

                                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "City Watch Helmet",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kings/01t.png"),
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Kings/01.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviourTest>())
                            Instance.AddComponent<ArmorBehaviourTest>();

                        ArmorBehaviourTest armor = Instance.GetComponent<ArmorBehaviourTest>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.clone = true;
                        prop.sprite = "Kings/01.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviourTest[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

                                                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "Kingslanding Baratheon Crown",
                    NameToOrderByOverride = "C1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kings/02t.png"),
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Kings/02.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviourTest>())
                            Instance.AddComponent<ArmorBehaviourTest>();

                        ArmorBehaviourTest armor = Instance.GetComponent<ArmorBehaviourTest>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.clone = true;
                        prop.sprite = "Kings/02.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviourTest[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Aerys Targaryen",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Dragon/1t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Dragon/1.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Rhagear Targaryen",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Dragon/2t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Dragon/2.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                  foreach (var limb in person.Limbs)
                        {
                             var HumanSprites = limb.gameObject.GetOrAddComponent<RandomHumanTextureBehaviour>();
                            HumanSprites.person = person;
                            HumanSprites.Textures.Add(ModAPI.LoadTexture("Dragon/2.png")); 
                            HumanSprites.Textures.Add(ModAPI.LoadTexture("Dragon/2alt.png"));
                        }
                    }
                }

             );

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Targaryen Infantry",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Dragon/3t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Dragon/3.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );

                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Stannis Baratheon",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Dragon/4t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Dragon/4.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );

                                                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Davos Seaworth",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Dragon/5t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Dragon/5.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Dragonstone Baratheon Infantry",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Dragon/6t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Dragon/6.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );


         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "Targaryen Crown",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Dragon/0t.png"),
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Dragon/0.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviourTest>())
                            Instance.AddComponent<ArmorBehaviourTest>();

                        ArmorBehaviourTest armor = Instance.GetComponent<ArmorBehaviourTest>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.clone = true;
                        prop.sprite = "Dragon/0.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviourTest[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );                                        

                                                   ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Tywin Lannister",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Wester/1t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Wester/1.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                  foreach (var limb in person.Limbs)
                        {
                             var HumanSprites = limb.gameObject.GetOrAddComponent<RandomHumanTextureBehaviour>();
                            HumanSprites.person = person;
                            HumanSprites.Textures.Add(ModAPI.LoadTexture("Wester/1.png")); 
                            HumanSprites.Textures.Add(ModAPI.LoadTexture("Wester/1alt.png"));
                        }
                    }
                }

             );

                                                                              ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Lannister Infantry",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Wester/2t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Wester/2.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/imp1.wav"),
                                                          ModAPI.LoadSound("sounds/imp2.wav"),
                                                          ModAPI.LoadSound("sounds/imp3.wav"),
                                                          ModAPI.LoadSound("sounds/imp4.wav"), 
                                                          ModAPI.LoadSound("sounds/imp5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );

             ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Jaimee Lannister Armored",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Wester/3t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Wester/3.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/imp1.wav"),
                                                          ModAPI.LoadSound("sounds/imp2.wav"),
                                                          ModAPI.LoadSound("sounds/imp3.wav"),
                                                          ModAPI.LoadSound("sounds/imp4.wav"), 
                                                          ModAPI.LoadSound("sounds/imp5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );

                          ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Gregor Clegane",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Wester/4t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Wester/4.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/imp1.wav"),
                                                          ModAPI.LoadSound("sounds/imp2.wav"),
                                                          ModAPI.LoadSound("sounds/imp3.wav"),
                                                          ModAPI.LoadSound("sounds/imp4.wav"), 
                                                          ModAPI.LoadSound("sounds/imp5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );

                                                    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Sandor Clegane",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Wester/5t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Wester/5.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );

                                                             ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "Lannister Helmet",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Wester/0t.png"),
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Wester/0.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviourTest>())
                            Instance.AddComponent<ArmorBehaviourTest>();

                        ArmorBehaviourTest armor = Instance.GetComponent<ArmorBehaviourTest>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.clone = true;
                        prop.sprite = "Wester/0.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviourTest[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            ); 


                                       ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Theon Greyjoy",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Iron/1t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Iron/1.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

                                                                              ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Balon Greyjoy",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Iron/2t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Iron/2.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

                                                                                                                                                            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Euron Greyjoy",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Iron/3t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Iron/3.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

      ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Yara Greyjoy",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Iron/4t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Iron/4.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Greyjoy Infantry",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Iron/5t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Iron/5.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Edmure Tully",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("River/1t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("River/1.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );


                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Brendan Tully",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("River/2t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("River/2.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );

                                                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Walder Frey",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("River/3t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("River/3.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );

                                                                                                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Frey Infantry",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("River/4t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("River/4.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );
                                                                                                                                                                                                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Tully Solider",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("River/5t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("River/5.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );
     ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Theon Greyjoy",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Iron/1t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Iron/1.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

          ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Balon Greyjoy",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Iron/2t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Iron/2.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );
 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Euron Greyjoy",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Iron/3t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Iron/3.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Yara Greyjoy ",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Iron/4t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Iron/4.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Greyjoy Infantry",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Iron/5t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Iron/5.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "John Arryn",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Vale/1t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Vale/1.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Robbin Arryn",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Vale/2t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Vale/2.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Lisa Arryn",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Vale/3t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Vale/3.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Ser Royce",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Vale/4t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Vale/4.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/imp1.wav"),
                                                          ModAPI.LoadSound("sounds/imp2.wav"),
                                                          ModAPI.LoadSound("sounds/imp3.wav"),
                                                          ModAPI.LoadSound("sounds/imp4.wav"), 
                                                          ModAPI.LoadSound("sounds/imp5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Arryn Infantry",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Vale/5t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Vale/5.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/imp1.wav"),
                                                          ModAPI.LoadSound("sounds/imp2.wav"),
                                                          ModAPI.LoadSound("sounds/imp3.wav"),
                                                          ModAPI.LoadSound("sounds/imp4.wav"), 
                                                          ModAPI.LoadSound("sounds/imp5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );

                                                             ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "Arryn Helmet",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Vale/0t.png"),
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Vale/0.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviourTest>())
                            Instance.AddComponent<ArmorBehaviourTest>();

                        ArmorBehaviourTest armor = Instance.GetComponent<ArmorBehaviourTest>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.clone = true;
                        prop.sprite = "Vale/0.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviourTest[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            ); 
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Renly Baratheon",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Storm/1t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Storm/1.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                  foreach (var limb in person.Limbs)
                        {
                             var HumanSprites = limb.gameObject.GetOrAddComponent<RandomHumanTextureBehaviour>();
                            HumanSprites.person = person;
                            HumanSprites.Textures.Add(ModAPI.LoadTexture("Storm/1.png")); 
                            HumanSprites.Textures.Add(ModAPI.LoadTexture("Storm/1alt.png"));
                        }
                    }
                }

             );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Stormlands Baratheon Infantry",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Storm/2t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Storm/2.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/impact1.wav"),
                                                          ModAPI.LoadSound("sounds/impact2.wav"),
                                                          ModAPI.LoadSound("sounds/impact3.wav"),
                                                          ModAPI.LoadSound("sounds/impact4.wav"), 
                                                          ModAPI.LoadSound("sounds/impact5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );

                                                             ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "Baratheon Helmet",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Storm/0t.png"),
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Storm/0.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviourTest>())
                            Instance.AddComponent<ArmorBehaviourTest>();

                        ArmorBehaviourTest armor = Instance.GetComponent<ArmorBehaviourTest>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.clone = true;
                        prop.sprite = "Storm/0.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviourTest[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            ); 

                                                             ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                    NameOverride = "Renly's Crown",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Storm/01t.png"),
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Storm/01.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviourTest>())
                            Instance.AddComponent<ArmorBehaviourTest>();

                        ArmorBehaviourTest armor = Instance.GetComponent<ArmorBehaviourTest>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.clone = true;
                        prop.sprite = "Storm/01.png";

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviourTest[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            ); 
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Tyrell Infantry",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Reach/1t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Reach/1.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/imp1.wav"),
                                                          ModAPI.LoadSound("sounds/imp2.wav"),
                                                          ModAPI.LoadSound("sounds/imp3.wav"),
                                                          ModAPI.LoadSound("sounds/imp4.wav"), 
                                                          ModAPI.LoadSound("sounds/imp5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Loras Tyrell",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Reach/2t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Reach/2.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                                                                                  foreach (var body in person.Limbs)
                        {

                              body.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                             {
                                                          ModAPI.LoadSound("sounds/imp1.wav"),
                                                          ModAPI.LoadSound("sounds/imp2.wav"),
                                                          ModAPI.LoadSound("sounds/imp3.wav"),
                                                          ModAPI.LoadSound("sounds/imp4.wav"), 
                                                          ModAPI.LoadSound("sounds/imp5.wav"),   
                                                          ModAPI.LoadSound("sounds/a1.wav"),
                                                          ModAPI.LoadSound("sounds/a2.wav"),
                                                          ModAPI.LoadSound("sounds/a3.wav"),
                                                          ModAPI.LoadSound("sounds/a4.wav"), 
                                                          ModAPI.LoadSound("sounds/a5.wav"),                                                                              
                                                        }; 

                        } 
                    }
                }

             );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mace Tyrell",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Reach/3t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Reach/3.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Margaery Tyrell",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Reach/4t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Reach/4.png");                      
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, null, null, 1);
                        person.SetBruiseColor(108, 0, 4); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(108, 0, 4); //second bruise colour. red by default
                        person.SetThirdBruiseColor(108, 0, 4); // third bruise colour. light yellow by default
                        person.SetBloodColour(108, 0, 4); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                    }
                }

             );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "Long claw",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Weapons/1t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/1.png");                      
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                            {
                                ModAPI.LoadSound("sounds/hit1.wav"),
                                ModAPI.LoadSound("sounds/hit2.wav"),
                                ModAPI.LoadSound("sounds/hit3.wav"),       
                                ModAPI.LoadSound("sounds/hit4.wav"),
                                ModAPI.LoadSound("sounds/hit5.wav"),
                                ModAPI.LoadSound("sounds/hit6.wav"),                                                                              
                            };
                    }
                }

             );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "“Ice” Great Sword",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Weapons/2t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/2.png");                      
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                            {
                                ModAPI.LoadSound("sounds/hit1.wav"),
                                ModAPI.LoadSound("sounds/hit2.wav"),
                                ModAPI.LoadSound("sounds/hit3.wav"),       
                                ModAPI.LoadSound("sounds/hit4.wav"),
                                ModAPI.LoadSound("sounds/hit5.wav"),
                                ModAPI.LoadSound("sounds/hit6.wav"),                                                                              
                            };
                    }
                }

             );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "“Kings Guard Sword",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Weapons/3t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/3.png");                      
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                            {
                                ModAPI.LoadSound("sounds/hit1.wav"),
                                ModAPI.LoadSound("sounds/hit2.wav"),
                                ModAPI.LoadSound("sounds/hit3.wav"),       
                                ModAPI.LoadSound("sounds/hit4.wav"),
                                ModAPI.LoadSound("sounds/hit5.wav"),
                                ModAPI.LoadSound("sounds/hit6.wav"),                                                                              
                            };
                    }
                }

             );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "Blackfyre Sword",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Weapons/4t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/4.png");                      
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                            {
                                ModAPI.LoadSound("sounds/hit1.wav"),
                                ModAPI.LoadSound("sounds/hit2.wav"),
                                ModAPI.LoadSound("sounds/hit3.wav"),       
                                ModAPI.LoadSound("sounds/hit4.wav"),
                                ModAPI.LoadSound("sounds/hit5.wav"),
                                ModAPI.LoadSound("sounds/hit6.wav"),                                                                              
                            };
                    }
                }

             );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "Dothraki Sword",
                    NameToOrderByOverride = "D1",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("Game of Thrones Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("Weapons/5t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/5.png");                      
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 
                            {
                                ModAPI.LoadSound("sounds/hit1.wav"),
                                ModAPI.LoadSound("sounds/hit2.wav"),
                                ModAPI.LoadSound("sounds/hit3.wav"),       
                                ModAPI.LoadSound("sounds/hit4.wav"),
                                ModAPI.LoadSound("sounds/hit5.wav"),
                                ModAPI.LoadSound("sounds/hit6.wav"),                                                                              
                            };
                    }
                }

             );











        }
    }
}
public class RandomHumanTextureBehaviour : MonoBehaviour //credit to mishanya for this behaviour
    {
        public List<Texture2D> Textures = new List<Texture2D>();
        int chosenIndex = 0;
        public PersonBehaviour person;
        ContextMenuButton menuButton;
        public void Start()
        {
            chosenIndex = UnityEngine.Random.Range(0, Textures.Count - -1); 
            ChangeTexture();   
            GetComponent<PhysicalBehaviour>().ContextMenuOptions.Buttons.Add(menuButton = new ContextMenuButton("ChangeTexture", "Change Texture", "Switches to the change human skin", new UnityAction[1]
                 {
                (UnityAction) (() =>
                {
                    ChangeTexture();
                    foreach (var humanSkin in person.Limbs)
                    {
                        if (humanSkin.GetComponent<RandomHumanTextureBehaviour>())
                        {
                           humanSkin.GetComponent<RandomHumanTextureBehaviour>().chosenIndex = chosenIndex;
                        }
                    }

                })
                 }));     
        }
        public void ChangeTexture()
        {
            chosenIndex -= 1;
            if (chosenIndex > Textures.Count - 1)
                chosenIndex = 0;
            person.SetBodyTextures(Textures[chosenIndex]);
        }
    }